Subject: Re: [PATCH v6 1/2] t1092: add tests for `git diff-files`

From: Junio C Hamano <[email-masked]>
Date: Tue, 21 Mar 2023 14:25:39 -0700

Victoria Dye <[email-masked]> writes:

> The strange thing is, once I fixed the 'mkdir' issue in my local copy of
> these patches, these 'test_all_match diff-files' calls succeeded. It turns
> out that 'git diff-files' in the 'full-checkout', like in 'sparse-checkout',
> reports a difference in 'folder1/a' that doesn't actually exist. So the bug
> isn't in sparse-checkout as I initially assumed [1], but rather in
> diff-files itself.

Is that a bug, or just a common "ah, you forgot to refresh the index"?